package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BWwwNews;

/**
 * 高考资讯Service接口
 * 
 * @author mingxue
 * @date 2021-07-26
 */
public interface IBWwwNewsService {
    /**
     * 查询高考资讯
     * 
     * @param id 高考资讯ID
     * @return 高考资讯
     */
    public BWwwNews selectBWwwNewsById(Long id);

    /**
     * 查询高考资讯列表
     * 
     * @param bWwwNews 高考资讯
     * @return 高考资讯集合
     */
    public List<BWwwNews> selectBWwwNewsList(BWwwNews bWwwNews);

    /**
     * 新增高考资讯
     * 
     * @param bWwwNews 高考资讯
     * @return 结果
     */
    public int insertBWwwNews(BWwwNews bWwwNews);

    /**
     * 修改高考资讯
     * 
     * @param bWwwNews 高考资讯
     * @return 结果
     */
    public int updateBWwwNews(BWwwNews bWwwNews);

    /**
     * 批量删除高考资讯
     * 
     * @param ids 需要删除的高考资讯ID
     * @return 结果
     */
    public int deleteBWwwNewsByIds(Long[] ids);

    /**
     * 删除高考资讯信息
     * 
     * @param id 高考资讯ID
     * @return 结果
     */
    public int deleteBWwwNewsById(Long id);
}
